/* ReSolve V0.08.09g 2023/02/08 solve math expressions using discrete values*/
/* Copyright 2005-2023 Valerio Messina http://users.iol.it/efa              */
/* curses.h is part of ReSolve
   ReSolve is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   ReSolve is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with ReSolve. If not, see <http://www.gnu.org/licenses/>.          */

/* on Win32 VisualC++ 6.0 miss standard library include 'curses.h' */
/* this one is extracted from GNU curses.h : */
/* TRUE and FALSE get defined so many times, */
/* let's not get in the way of other definitions. */

#ifndef _INCcursesh
#define _INCcursesh

#if !defined(TRUE) || ((TRUE) != 1)
#undef TRUE
#define TRUE (1)
#endif
#if !defined(FALSE) || ((FALSE) != 0)
#undef FALSE
#define FALSE (0)
#endif
#if !defined(ERR) || ((ERR) != -1)
#undef ERR
#define ERR (-1)
#endif
#if !defined(OK) || ((OK) != 0)
#undef OK
#define OK (0)
#endif

#endif /* _INCcursesh */
